<div class="body">
  <mat-card class="loginBox" *ngIf="!isSignUp">
    <mat-card-title>
      Login to Start Posting
    </mat-card-title>
    <mat-card-content [formGroup]="accountCreateForm">
      <mat-form-field style="display: block;" appearance="outline">
        <mat-label>Username</mat-label>
        <input matInput formControlName="username" />
        <mat-error>
          Username must have a minimum of 5 characters.
        </mat-error>
      </mat-form-field>
      <br />
      <br />
      <button
        mat-flat-button
        color="primary"
        style="display: block; width: 100%; margin-bottom: 10px;"
        (click)="login()"
        [disabled]="accountCreateForm.invalid"
      >
        Login
      </button>
    </mat-card-content>
  </mat-card>
</div>
